Retrieves trackers information with properties based on specified parameters.

This endpoint returns a number of parameters associated with a given tracker identifier tracker_oid or tracker_id,
a list of trackers for a given company identifier company_oid,
a list of trackers for a given company identifier and group identifier company_oid and group_oid,
a list of trackers for a given company identifier and group name company_oid and group_name,
a list of trackers for a given group identifier group_oid or a list of trackers for a given group name group_name.
If group_name = all, then returns a list of trackers grouped by company and groups.
The company_oid must be specified when group_name parameter is used.

The following parameters will be returned:

  • oid - The tracker's unique internal identifier.
  • tracker_id - The tracker_id is the tracker's unique identifier e.g. VIN, IMEI, license plate number...
    The format of this value depends of the provider of your tracker:
    • Option 1: for the HTML5 importer the tracker IDs can be customized. It is up to the owner to specify an identifier.
    • Option 2: for the regular data providers this is defined by each provider, as specified in the following list:
      • Mercedes-Benz: VIN
      • Cartrack: VIN
      • BMW: VIN
      • Targa: VIN
  • object_id - The object_id is a dictionary that contains information about the identity of the tracked object, such as the VIN, make, model, license plate number.
  • provider - The provider of the tracker, e.g. Mercedes-Benz, BMW...
  • type - The tracker type, e.g. OEM, OBD, ...
  • vehicle_type - The vehicle type, e.g. car, van, motorcycle...
  • start_date - The date when the tracker was registered on the platform.
  • end_date - The date when the tracker was deregistered on the platform.
  • moving - Boolean parameter that specifies if the tracker is currently in movement.
  • heartbeat - Timestamp of the trackers' latest data.
  • validation_status - Tracker's current status within the validation chain. For example: pending, pending validation, error_access, connected.
  • external_validation_data - An optional parameter which contains validation information from third-party data providers.
  • foreign_tracker_id - The identity of the tracker on a third-party data provider platform.
  • company_oid - The unique identifier of the company to which the tracker belongs.
  • motorization - An optional parameter which specifies the motorization of the vehicle in which the tracker is installed. Options include gasoline, diesel, electric, hydrogen, PHEV and others.
  • position - The coordinates in WGS84-format of the last position received from the tracker.
  • properties - The tracker properties with their value and value information (unit, values, description).
  • gps_status - Indicates the GPS accuracy. Possible values: "excellent", "good", or "bad".
  • gsm_on - Indicates whether the tracker is properly reporting data (true) or not (false).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The OID of the tracker.

string
required

The vehicle VIN.

string
required

Company OID.

string
required

Group OID.

required

Group name. Use "all" to retrieve all groups.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json